package domain

type AlibabaWdkMarketingItembuygiftRemoveitemMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   是否移除成功     */
	Data *bool `json:"data,omitempty" `

	/*
	   是否移除成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingItembuygiftRemoveitemMarketResult) SetMessage(v string) *AlibabaWdkMarketingItembuygiftRemoveitemMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftRemoveitemMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingItembuygiftRemoveitemMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftRemoveitemMarketResult) SetData(v bool) *AlibabaWdkMarketingItembuygiftRemoveitemMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftRemoveitemMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingItembuygiftRemoveitemMarketResult {
	s.Success = &v
	return s
}
